# Class MonitorCommand

java.lang.Object
org.apache.zookeeper.server.command.AbstractFourLetterCommand
org.apache.zookeeper.server.command.MonitorCommand

public class MonitorCommand extends AbstractFourLetterCommand

## Field Summary

### Fields inherited from class AbstractFourLetterCommand

`factory, pw, serverCnxn, ZK_NOT_SERVING, zkServer`

## Method Summary

Modifier and Type
Method
Description
`void`
`commandRun()`

### Methods inherited from class AbstractFourLetterCommand

`run, setFactory, setZkServer, start`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### commandRun

public void commandRun()

Specified by:
  `commandRun` in class `AbstractFourLetterCommand`